%define name	smurf
%define version	0.52.6
%define release	%mkrel 10

Summary: 	A GPL sound font editor
Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		Sound
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: 		http://smurf.sourceforge.net
Source: 	%name-%version.tar.bz2
Patch0:		smurf-0.52.6-gcc4.patch
BuildRequires: audiofile-devel gtk-devel sndfile-devel

%description
Smurf is a GTK based sound font editor. Sound font files are a collection of
audio samples and other data that describe instruments for the purpose of
composing music. Sound fonts do not describe the music itself, but rather the
sounds of the instruments. These instruments can be composed of any digitally
recordable or generated sound. This format provides a portable and flexible
sound synthesis environment that can be supported in hardware or software.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1

%build

%configure

%make

%install

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=/usr/bin/smurf
Name=Smurf
Comment=GPL sound font editor
Icon=sound_section
Categories=Audio;
EOF
 
%find_lang %name
 
%if %mdkversion < 200900
%post
%update_menus
%endif
  
%if %mdkversion < 200900
%postun
%clean_menus 
%endif

%clean
rm -rf $RPM_BUILD_ROOT 

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README
%_bindir/*
%{_datadir}/applications/mandriva-*.desktop



%changelog
* Fri Dec 04 2009 Jérôme Brenier <incubusss@mandriva.org> 0.52.6-10mdv2010.1
+ Revision: 473459
- fix build with gcc4 (patch from Gentoo)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - fix no-buildroot-tag
    - auto-convert XDG menu entry
    - BR sndfile-devel
    - BR gtk-devel
    - BR audiofile-devel
    - kill re-definition of %%buildroot on Pixel's request
    - use %%mkrel
    - import smurf

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas


* Tue Apr 26 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.52.6-7mdk
- rebuild

* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.52.6-6mdk
- rebuild

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.52.6-5mdk
- rebuild

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.52.6-4mdk
- rebuild against new alsa

* Mon Jan 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.52.6-3mdk
- use macro for locales

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.52.6-2mdk
- Fix menu entry

* Fri Nov 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.52.6-1mdk
- 0.52.6

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.52.5-2mdk
- rebuild against new libpng

* Fri Sep 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.52.5-1mdk
- 0.52.5

* Tue Sep 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.52.1-2mdk
- rebuild

* Thu May 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.52.1-1mdk
- updated to 0.52.1

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.50.0-1mdk
- new in contribs
